Bug 207575 - [PATCH] multimedia/assimp: Update to 3.1.1
Summary: [PATCH] multimedia/assimp: Update to 3.1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-02-29 02:15 UTC by lightside
Modified: 2016-03-27 07:38 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
Proposed patch (since 386312 revision) (2.81 KB, patch)
2016-02-29 02:15 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 9.3 amd64, with BOOST option enabled) (9.71 KB, application/x-bzip2)
2016-02-29 02:17 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with BOOST option enabled) (8.69 KB, application/x-bzip2)
2016-02-29 02:17 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 9.3 amd64, with BOOST option disabled) (9.47 KB, application/x-bzip2)
2016-02-29 02:18 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10.2 amd64, with BOOST option disabled) (8.62 KB, application/x-bzip2)
2016-02-29 02:18 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2016-02-29 02:15:26 UTC
Created attachment 167533 [details]
Proposed patch (since 386312 revision)

Patch to update multimedia/assimp port from 3.0 to 3.1.1 version.

Look following link for changes:
https://github.com/assimp/assimp/blob/3bb815097f387faba55b27ad669c55e615169a89/CHANGES#L5-L26

This version allows to build with using default Clang compiler on FreeBSD version >= 10.

- Add BOOST option
- Add restrictions for USE_GCC
- Update post-patch and pkg-plist file
Comment 1 lightside 2016-02-29 02:17:05 UTC
Created attachment 167534 [details]
The poudriere testport log (FreeBSD 9.3 amd64, with BOOST option enabled)
Comment 2 lightside 2016-02-29 02:17:36 UTC
Created attachment 167535 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with BOOST option enabled)
Comment 3 lightside 2016-02-29 02:18:13 UTC
Created attachment 167536 [details]
The poudriere testport log (FreeBSD 9.3 amd64, with BOOST option disabled)
Comment 4 lightside 2016-02-29 02:18:56 UTC
Created attachment 167537 [details]
The poudriere testport log (FreeBSD 10.2 amd64, with BOOST option disabled)
Comment 5 lightside 2016-02-29 02:20:53 UTC
The main motivation of this update was a possibility to build games/pioneer port on FreeBSD head armv6, where configure error was found, related to assimp library (bug 207559).
Personally, I tested this update in conjunction with current games/pioneer port on FreeBSD 10.2 amd64 and it worked.

I also found, that 3.1.1 version is used in some build scripts:
https://github.com/pioneerspacesim/pioneer/blob/990574ab588bdd92c38e34b4b8b03cedb13287f0/nix/assimp.nix
While on Travis builds 3.0 version is used still:
https://github.com/pioneerspacesim/pioneer-thirdparty/blob/747553e4f33c78274193884543794f6bac448fec/source/assimp/CMakeLists.txt
https://travis-ci.org/pioneerspacesim/pioneer/builds/111856097

To note:
There is a possibility to build current 3.0 version with using default Clang compiler on FreeBSD >= 10 by using following patch:
https://github.com/assimp/assimp/commit/c338b665ed870363d17a52d2e6e6db276934351f

I also tested 3.2 version on GitHub, but it doesn't build, while some current commit (58fc394) is buildable, but produces white-texture artifacts in pioneer application for some models (e.g. Eagles Nest station on New Hope system).
Comment 6 Thomas Zander freebsd_committer 2016-03-26 19:34:03 UTC
Maintainer timeout
Comment 7 commit-hook freebsd_committer 2016-03-27 07:35:46 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 27 07:34:57 UTC 2016
New revision: 411981
URL: https://svnweb.freebsd.org/changeset/ports/411981

Log:
  Update multimedia/assimp to upstream version 3.1.1

  Details:
  - Allow build with clang on FreeBSD >= 10
  - Add BOOST option
  - Add restrictions for USE_GCC
  - Update post-patch and pkg-plist file
  - Bump PORTREVISION on dependent ports (possible ABI change)

  PR:		207575
  Submitted by:	lightside@gmx.com
  Approved by:	maintainer timeout

Changes:
  head/games/doomsday/Makefile
  head/games/pioneer/Makefile
  head/multimedia/assimp/Makefile
  head/multimedia/assimp/distinfo
  head/multimedia/assimp/pkg-plist